#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF1,0x89,0x04,0x0C,0x79,0x76,0xCA,0x06,0xEF,0x2B,0x7C,0xCE,
		0xEA,0x3A,0x19,0x5B,0x0E,0x69,0x16,0xF9,0x08,0xFA,0x0E,0xEC,
		0xF3,0x05,0x2F,0x7A,0xDC,0x45,0x02,0x4A,0xE2,0x72,0x98,0x9B,
		0x9A,0xC4,0x3C,0x47,0x41,0xB5,0x92,0xAF,0xFD,0x4E,0x51,0x78,
		0x25,0x9D,0xAE,0x35,0xDE,0xEC,0x35,0x17,0x12,0xB3,0x17,0xCB,
		0x59,0x54,0xAC,0xFB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
